# Caution

In order to make the enemy health-bar, name and icon invisible, this mod uses `HidePermanentCockpitRui()`.(This may cause some strange performances.)

If you want to get that off, just modify the `HidePermanentCockpitRui` from `true` to `false` in the mod.json.

# What this mod brings

This will make the other players’ names look like “Pilot0000” or “\*\*\*\*\*\*” in the scoreboard(the pitch icon was changed with yours) and the obituary.

You can configure the performance in the mod.json.

## Modes

It offers 3 modes: Digital | Fill | Apexlike

- Digital
  This will make the names as random numbers. And these numbers change dynamically.
  
- Fill
  Turn the names into a placeholder.
  
- Apexlike
  Names are hashed into some numbers with a custom prefix ahead.
  
## New callbacks

`cl_obituary.gnut` was modified. 3 callbcacks added.

### `AddCallback_Obituary( array<string> functionref( entity, entity, array<string> ) callbackFunc )`

Added with `Obituary( entity attacker, string attackerClass, entity victim, int scriptDamageType, int damageSourceId, bool isHeadShot, bool victimIsOwnedTitan = false, bool forceDisplay = false )` 

Obituary is created in that function.

My mod use this to modify the attacker/victim names.

```squirrel
void function AddCallback_Obituary( array<string> functionref( entity, entity, array<string> ) callbackFunc )
```

### `AddCallback_PrintObituary( void functionref( ObitStringData ) callbackFunc )`

Added with void function `Obituary_Print( string attackerDisplayName, string weaponDisplayName, string victimDisplayName, vector attackerColor, vector weaponColor, vector victimColor, weaponIcon = null, string attackerPetDisplayName = "", string victimPetDisplayName = "" )`

Actually I don’t know what this function used for. If you wanna modify the obituary, don’t use this.

```squirrel
void function AddCallback_PrintObituary( void functionref( ObitStringData ) callbackFunc )
```

### `AddCallback_PrintObituaryLocalized( string functionref( string ) callbackFunc )`

Added with void function `Obituary_Print_Localized( string localizedPrint, vector altColor1 = <255, 255, 255>, vector altColor2 = <255, 255, 255>, vector altColor3 = <255, 255, 255>, vector backgroundColor = <255, 255, 255>, float backgroundAlpha = 0.0 )`

The Obituary(...) will call Obituary_Print_Localized(...). The obituary string will be localized here.

If you wanna modify the weapon names in obituary, may you can use this.

```squirrel
void function AddCallback_PrintObituaryLocalized( string functionref( string ) callbackFunc )
```


# Mod.json
This file exists in the Northstar\mods\L1Nexus.AnonymousMode\ .

It contains 4 Convars you can modify.

## Convars

```squirrel
	"ConVars": [
		{
			"Name": "mode",
			// Digital|Fill|Apexlike
			"DefaultValue": "Apexlike"
		},
		{
			"Name": "placeholder",
			"DefaultValue": "******"
		},
		{
			"Name": "prefix",
			"DefaultValue": "Pilot"
		},
		{
			"Name": "HidePermanentCockpitRui",
			"DefaultValue": "true"
		}
	]
```


# Further updates

- Find a way to modify the enemy health-bar, name and icon(Maybe we don’t have access to it?)

#  Update log

## v0.3.2

- Update hash functions

- Change the functions and callbacks names

# Bug report or anything

kivils372@outlook.com

# Can I ?
Do whatever you want, enjoy your stay with TitanFall.